org.codehaus.groovy.ast.expr

## Class ConstructorCallExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ConstructorCallExpression

    public class ConstructorCallExpression
    extends Expression

A constructor call

Version:
  $Revision: 19882 $
Author:
  James Strachan, Jochen Theodorou

### Constructor Summary

Constructors
Constructor and Description
`ConstructorCallExpression(ClassNode type, Expression arguments)`

### Method Summary

Methods
`Expression` `getArguments()`
`String` `getText()`
`boolean` `isSpecialCall()`
`boolean` `isSuperCall()`
`boolean` `isThisCall()`
`boolean` `isUsingAnnonymousInnerClass()` Deprecated.
`boolean` `isUsingAnonymousInnerClass()`
`void` `setUsingAnonymousInnerClass(boolean usage)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstructorCallExpression

    public ConstructorCallExpression(ClassNode type,
                             Expression arguments)

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### getArguments

    public Expression getArguments()

#### getText

    public String getText()

Overrides:
  `getText` in class `ASTNode`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isSuperCall

    public boolean isSuperCall()

#### isSpecialCall

    public boolean isSpecialCall()

#### isThisCall

    public boolean isThisCall()

#### setUsingAnonymousInnerClass

    public void setUsingAnonymousInnerClass(boolean usage)

#### isUsingAnonymousInnerClass

    public boolean isUsingAnonymousInnerClass()

#### isUsingAnnonymousInnerClass

    @Deprecated
    public boolean isUsingAnnonymousInnerClass()

Deprecated.